﻿using UnityEngine;

public class ExplosionLifetime : MonoBehaviour
{
    public float lifetime = 5f; // Duration before the explosion is destroyed


    GameManager gameManager;
    void Start()
    {
        gameManager = GameObject.FindObjectOfType<GameManager>();
        // Destroy the explosion after the specified lifetime
        Destroy(gameObject, lifetime);
    }
    void OnCollisionEnter2D(Collision2D other)
    {
        Destroy(other.gameObject); // Destroy the meteor
        gameManager.AddScore(); // Increment the score
        //Destroy(gameObject); // Destroy the bullet
    }
}

