﻿
using UnityEngine;

public class BigMeteor : MonoBehaviour
{
    public GameManager gameManager;
    public GameObject meteorPrefab;
    
    public float minSpawnDelay = 1f;
    public float maxSpawnDelay = 3f;
    public float spawnXLimit = 6f;
    private float spawnRateMultiplier = 0.8f;

    void Start()
    {
        Spawn();
    }

    void Spawn()
    {
        if (gameManager.playerScore >= 40)
        {
            // Create a meteor at a random x position
            float random = Random.Range(-spawnXLimit, spawnXLimit);
            Vector3 spawnPos = transform.position + new Vector3(random, 0f, 0f);
            Instantiate(meteorPrefab, spawnPos, Quaternion.identity);
        }
        // Invoke the next spawn with a random delay
        Invoke("Spawn", Random.Range(minSpawnDelay, maxSpawnDelay));
    }
    
}
