﻿using UnityEngine;

public class BigMeteorMover : MonoBehaviour
{
    public float speed = -1f;
    public GameObject smallMeteorPrefab;

    Rigidbody2D rigidBody;

    void Start()
    {
        rigidBody = GetComponent<Rigidbody2D>();
        //Give meteor an initial downward velocity
        rigidBody.velocity = new Vector2(0, speed);
    }
    public void CreateSmallMeteors(Vector3 position)
    {
        // Create two smaller meteors at the position of the big meteor
        Instantiate(smallMeteorPrefab, position + new Vector3(-0.5f, 0, 0), Quaternion.identity);
        Instantiate(smallMeteorPrefab, position + new Vector3(0.5f, 0, 0), Quaternion.identity);
    }

    private void OnDestroy()
    {
        // Call CreateSmallMeteors when this big meteor is destroyed
        CreateSmallMeteors(transform.position);
    }

}
